/***************************************************************************
 *   Copyright (C) 2009-2012 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This file is part of KDE CDEMU Manager.                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/

#ifndef KDECDEMU_H
#define KDECDEMU_H

#include <KUniqueApplication>

#include "mainwindow.h"

class KDECDEmu : public KUniqueApplication
{
public:
    KDECDEmu();
    ~KDECDEmu();

    int newInstance();

private:
    MainWindow *m_mainWindow;
};

#endif // KDECDEMU_H
